/*******************************************************************************
  Init_LCD : ILI9341 LCD ʾģʼ  
*******************************************************************************/
void LCD_Init(void)
{

//--------------------------------------------------------
  LCD_RS_HIGH();        //RS=1
  LCD_nRST_HIGH();
  Delayms(1);          //RST=1Delay 1ms
  LCD_nRST_LOW();
  Delayms(10);         //RST=0 Reset LCDDelay 1ms
  LCD_nRST_HIGH();
  Delayms(150);        //RST=1Delay 120 ms
//--------------------------------------------------------
  LCD_WR_Cmd(0xCF);
  WRITE_LCD(0x00);
  WRITE_LCD(0x83);
  WRITE_LCD(0X30);

  LCD_WR_Cmd(0xED);
  WRITE_LCD(0x64);
  WRITE_LCD(0x03);
  WRITE_LCD(0X12);
  WRITE_LCD(0X81);

  LCD_WR_Cmd(0xE8);
  WRITE_LCD(0x85);
  WRITE_LCD(0x01);
  WRITE_LCD(0x79);

  LCD_WR_Cmd(0xCB);
  WRITE_LCD(0x39);
  WRITE_LCD(0x2C);
  WRITE_LCD(0x00);
  WRITE_LCD(0x34);
  WRITE_LCD(0x02);

  LCD_WR_Cmd(0xF7);
  WRITE_LCD(0x20);

  LCD_WR_Cmd(0xEA);
  WRITE_LCD(0x00);
  WRITE_LCD(0x00);  

  LCD_WR_Cmd(0xC0);    
  WRITE_LCD(0x36);      

  LCD_WR_Cmd(0xC1);    
  WRITE_LCD(0x01);           

  LCD_WR_Cmd(0xC5);    
  WRITE_LCD(0x50);     
  WRITE_LCD(0x25);     

  LCD_WR_Cmd(0xC7);    
  WRITE_LCD(0xc0);     

  LCD_WR_Cmd(0xB8);   //BACKLIGHT CTRL
  WRITE_LCD(0x0F);   //(0~0F)[99%~70%] SRC=0X0B

  LCD_WR_Cmd(0xBB);   //BACKLIGHT CTRL
  WRITE_LCD(0x65);   //(0~0F)[99%~70%] SRC=0X0B

  LCD_WR_Cmd(0x36); // Memory Access Control
  WRITE_LCD(0x04); // Bit7/6: Y/X Mirror;  Bit3: RGB Ctrl

  LCD_WR_Cmd(0x3a); // Memory Access Control
  WRITE_LCD(0x55);

  LCD_WR_Cmd(0xB1);
  WRITE_LCD(0x00);
  WRITE_LCD(0x1B);

  LCD_WR_Cmd(0xB6); // Display Function Control
  WRITE_LCD(0x0A);
  WRITE_LCD(0xA2);

  LCD_WR_Cmd(0xF2); // 3Gamma Function Disable
  WRITE_LCD(0x00);
  
  LCD_WR_Cmd(0x26); // Gamma curve selected
  WRITE_LCD(0x01);
  
  LCD_WR_Cmd(0xE0); // Set Gamma
  WRITE_LCD(0x0F);
  WRITE_LCD(0x23);
  WRITE_LCD(0x1F);
  WRITE_LCD(0x09);
  WRITE_LCD(0x0f);
  WRITE_LCD(0x08);
  WRITE_LCD(0x4B);
  WRITE_LCD(0Xf2);
  WRITE_LCD(0x38);
  WRITE_LCD(0x09);
  WRITE_LCD(0x13);
  WRITE_LCD(0x03);
  WRITE_LCD(0x12);
  WRITE_LCD(0x07);
  WRITE_LCD(0x04);
  
  LCD_WR_Cmd(0XE1); //Set Gamma
  WRITE_LCD(0x00);
  WRITE_LCD(0x1d);
  WRITE_LCD(0x20);
  WRITE_LCD(0x02);
  WRITE_LCD(0x11);
  WRITE_LCD(0x07);
  WRITE_LCD(0x34);
  WRITE_LCD(0x81);
  WRITE_LCD(0x46);
  WRITE_LCD(0x06);
  WRITE_LCD(0x0e);
  WRITE_LCD(0x0c);
  WRITE_LCD(0x32);
  WRITE_LCD(0x38);
  WRITE_LCD(0x0F);
  
  LCD_WR_Cmd(0x11); //Exit Sleep
  Delayms(120);
  LCD_WR_Cmd(0x29); //Display on
}